Bug 1827106 - 0.15 release available, but not included in Fedora (also not in EPEL)
Summary: 0.15 release available, but not included in Fedora (also not in EPEL)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: charliecloud
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: jogas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 09:51 UTC by Kees de Jong
Modified: 2020-05-27 03:04 UTC (History)
1 user (show)

Fixed In Version: charliecloud-0.15-1.fc31 charliecloud-0.15-1.fc32 charliecloud-0.15-1.fc30 charliecloud-0.15-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 03:14:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch for 0.9.10 spec file --> 0.15 release (2.03 KB, patch)
2020-04-23 09:51 UTC, Kees de Jong
no flags Details | Diff

Description Kees de Jong 2020-04-23 09:51:10 UTC
Created attachment 1681048 [details]
Patch for 0.9.10 spec file --> 0.15 release

Description of problem:
0.15 has been released for some time. However, 0.9.10 is only available in Fedora (and EPEL). I have modified the spec file in order to build 0.15. But for EPEL there seem to be core dependencies missing, such as buildah and docker are too old in EPEL7. I expect this is the reason why charliecloud has not been updated for EPEL7? Is there also a reason why it is not updated for Fedora?

My changed spec file for the 0.15 version did not build due to the recent security hardening defaults in Fedora (and EPEL8), namely PIE. I did not pursue this further, but changing build flags will fix that of course. But my goal oriented towards updating the package in EPEL.

In a nutshell: Why is the latest version of charliecloud not available in Fedora and EPEL 7/8? I suppose it is because of these core dependencies missing, but I would like to double check.


Version-Release number of selected component (if applicable):
charliecloud-0.9.10-12.fc31


Steps to Reproduce:
1. Patch the current 0.9.10 spec file with the attached patch
2. Run in Mock a build with the 0.15 source for Fedora 31, EPEL7 and EPEL8



Additional info:
Errors while configuring on EPEL7 mock build:
checking for buildah... buildah                                                                                                          
checking if buildah version >= 1.11.2... too old (1.9.0)            
checking for docker... docker                                                                                                            
checking if docker version >= 17.03... too old (1.13.1)  


Changes I made to the spec file are included in the attached file charliecloud_version_bump.patch

Comment 1 jogas 2020-04-23 17:58:04 UTC
Greetings,

We do plan on updating the charliecloud package for EPEL 7/8, you can see the spec file here: https://github.com/hpc/charliecloud/blob/9a2053964ee07335640fa6d2727eb82954113203/packaging/fedora/charliecloud.spec.  

0.15 was released 17 days ago, however, you are correct in that the Charliecloud package on EPEL 7/8 has been slow to receive updates. There are a few reasons for this: 1) Charliecloud undergoes rapid development and frequent releases; we want to make sure what we put in EPEL is stable and reliable, 2) version 0.10, the version after 0.9.10, introduced a dependency on umoci that couldn't be resolved, and 3) Charliecloud switched over from a manual Makefile build process to utilizing autotools.

0.15 has ironed out many of the autotools issues and removed the skopeo and umoci dependencies (although still requires two patches). It is a good candidate for EPEL 7 and 8. The spec file linked above is more or less what I will upload to src.fedoraproject.org in the near future. Thank you for patience.

Comment 2 jogas 2020-04-29 19:54:15 UTC
Update:

I've identified a runtime bug when compiling with the flag '-Wp,-D_FORTIFY_SOURCE=2`. The ch-run executable hangs on line 141 (ch-run.c) when calling realpath(3). I'm investigating, however, this bug will need to be addressed before we update to 0.15.

Comment 3 jogas 2020-05-11 19:12:39 UTC
Update:

The issues have been resolved and I am staging 0.15 builds on fedora and epel 7.

Comment 4 Fedora Update System 2020-05-11 20:16:29 UTC
FEDORA-2020-6755f39727 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6755f39727

Comment 5 Fedora Update System 2020-05-11 20:16:30 UTC
FEDORA-2020-1bb107e5e5 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bb107e5e5

Comment 6 Fedora Update System 2020-05-11 20:16:31 UTC
FEDORA-2020-434c6877aa has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-434c6877aa

Comment 7 Fedora Update System 2020-05-11 20:16:31 UTC
FEDORA-EPEL-2020-4de27ea34b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4de27ea34b

Comment 8 Fedora Update System 2020-05-12 05:24:55 UTC
FEDORA-2020-6755f39727 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6755f39727`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6755f39727

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-12 06:44:04 UTC
FEDORA-2020-434c6877aa has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-434c6877aa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-434c6877aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-12 07:19:09 UTC
FEDORA-2020-1bb107e5e5 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1bb107e5e5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bb107e5e5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-12 07:59:32 UTC
FEDORA-EPEL-2020-4de27ea34b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4de27ea34b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-20 03:14:57 UTC
FEDORA-2020-434c6877aa has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-20 03:20:12 UTC
FEDORA-2020-1bb107e5e5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-20 03:48:15 UTC
FEDORA-2020-6755f39727 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-27 03:04:59 UTC
FEDORA-EPEL-2020-4de27ea34b has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.